summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex Xu <alex_y_xu@yahoo.ca>2014-02-18 09:51:05 -0500
committerAlex Xu <alex_y_xu@yahoo.ca>2014-02-18 09:51:05 -0500
commita7269ca8155a1ee5857aed5ae9882b1c122cf878 (patch)
treee0e61f7cbba4f4cbbb1dc29fcf0bab3cf9d7348d
parentba4f7b298953b45bc78a8685b72d0c4478475dda (diff)
downloadhtml5ks-a7269ca8155a1ee5857aed5ae9882b1c122cf878.tar.xz
html5ks-a7269ca8155a1ee5857aed5ae9882b1c122cf878.zip
stuff
-rwxr-xr-x.travis.sh6
-rw-r--r--Makefile2
-rwxr-xr-xsetup.sh6
3 files changed, 9 insertions, 5 deletions
diff --git a/.travis.sh b/.travis.sh
index 378746f..725d923 100755
--- a/.travis.sh
+++ b/.travis.sh
@@ -1,8 +1,8 @@
-#!/bin/bash
+#!/bin/sh
-set -e
+set -e -x
-MAKEOPTS="-j$(nproc)"
+MAKEOPTS="-j`nproc`"
case "$1" in
before_install)
diff --git a/Makefile b/Makefile
index 55d9c63..596cda0 100644
--- a/Makefile
+++ b/Makefile
@@ -23,7 +23,7 @@ endif
DUMP ?= www/dump
-all: .modules video audio images js
+all: modules video audio images js
# === GIT SUBMODULES ===
modules:
diff --git a/setup.sh b/setup.sh
index f608498..2628341 100755
--- a/setup.sh
+++ b/setup.sh
@@ -1,6 +1,10 @@
#!/bin/sh
-set -e
+if [ -z $MAKEOPTS ]; then
+ MAKEOPTS="-j`nproc`"
+fi
+
+set -e -x
cd $(dirname $0)